<div class="ui two column grid segment">
  <div class="eleven wide column">
    <div class="menu">
      <select class="ui selection dropdown" (change)="onSelectedType($event)">
        <option value="title" selected="selected">Search by title</option>
        <option value="author">Search by author</option>
        <option value="genre">Search by genre</option>
        <option value="language">Search by language</option>
      </select>
    </div>
  </div>

  <div class="five wide column">
    <div class="ui input focus">
      <form class="ui form">
        <input
          type="text"
          placeholder="Search books..."
          name="searchParam"
          [(ngModel)]="searchParam"
        />
      </form>
      <button
        class="ui icon button"
        (click)="onSearch()"
        style="margin-left: 5%"
      >
        <i class="search icon"></i>
      </button>
    </div>
  </div>

  <div class="eleven wide column">
    <div class="menu">
      <select class="ui selection dropdown" (change)="onSort($event)">
        <option value="publishedDate">Sort by date</option>
        <option value="title" selected="selected">Sort by title</option>
      </select>
    </div>
  </div>
</div>

<br />

<div class="ui link centered cards">
  <div
    class="card"
    *ngFor="let book of searchedBooks"
    routerLink="/book-profile/{{ book._id }}"
  >
    <div class="image">
      <img [src]="book.thumbnailUrl" />
    </div>
    <div class="content">
      <div class="header">{{ book.title }}</div>
      <div class="meta">
        <a>{{ book.authors }}</a>
      </div>
    </div>
  </div>
</div>

<div class="ui centered cards" *ngIf="showAll">
  <div
    class="card"
    *ngFor="let book of books"
    routerLink="/book-profile/{{ book._id }}"
  >
    <div class="image">
      <img [src]="book.thumbnailUrl" />
    </div>
    <div class="content">
      <div class="header">{{ book.title }}</div>
      <div class="meta">
        <a>{{ book.authors }}</a>
      </div>
    </div>
  </div>
</div>
